import{_ as t,c as i,a2 as n,o}from"./chunks/framework.DYF6f1aH.js";const a="/micromissiles-unity/assets/unity_hub.cJHZjOmp.png",b=JSON.parse('{"title":"Development Guide","description":"","frontmatter":{},"headers":[],"relativePath":"Development_Guide.md","filePath":"Development_Guide.md"}'),l={name:"Development_Guide.md"};function s(r,e,h,c,u,p){return o(),i("div",null,e[0]||(e[0]=[n('<h1 id="development-guide" tabindex="-1">Development Guide <a class="header-anchor" href="#development-guide" aria-label="Permalink to &quot;Development Guide&quot;">​</a></h1><p>This guide will help you set up and run the project in development mode. You&#39;ll learn how to install Unity Hub, open the project, and navigate the main scene.</p><h2 id="table-of-contents" tabindex="-1">Table of Contents <a class="header-anchor" href="#table-of-contents" aria-label="Permalink to &quot;Table of Contents&quot;">​</a></h2><ul><li><a href="#prerequisites">Prerequisites</a></li><li><a href="#installation-steps">Installation Steps</a><ul><li><a href="#1-install-unity-hub">1. Install Unity Hub</a></li><li><a href="#2-clone-the-project-repository">2. Clone the Project Repository</a></li><li><a href="#3-launch-the-project-via-unity-hub">3. Launch the Project via Unity Hub</a></li><li><a href="#4-open-the-main-scene">4. Open the Main Scene</a></li></ul></li><li><a href="#next-steps">Next Steps</a></li><li><a href="#additional-resources">Additional Resources</a></li></ul><h2 id="prerequisites" tabindex="-1">Prerequisites <a class="header-anchor" href="#prerequisites" aria-label="Permalink to &quot;Prerequisites&quot;">​</a></h2><ul><li>A computer with internet access.</li><li>Administrative privileges to install software.</li><li><a href="https://git-scm.com/downloads" target="_blank" rel="noreferrer">Git</a> installed on your system (optional, for cloning the repository).</li></ul><h2 id="installation-steps" tabindex="-1">Installation Steps <a class="header-anchor" href="#installation-steps" aria-label="Permalink to &quot;Installation Steps&quot;">​</a></h2><h3 id="_1-install-unity-hub" tabindex="-1">1. Install Unity Hub <a class="header-anchor" href="#_1-install-unity-hub" aria-label="Permalink to &quot;1. Install Unity Hub&quot;">​</a></h3><p>Unity Hub is a desktop application that manages your Unity projects and installations. It simplifies the process of installing different Unity versions and launching projects.</p><p><strong>Steps to Install Unity Hub:</strong></p><ol><li>Visit the <a href="https://unity3d.com/get-unity/download" target="_blank" rel="noreferrer">Unity Download Page</a>.</li><li>Click on <strong>&quot;Download Unity Hub&quot;</strong>.</li><li>Run the downloaded installer and follow the on-screen instructions to complete the installation.</li></ol><h3 id="_2-clone-the-project-repository" tabindex="-1">2. Clone the Project Repository <a class="header-anchor" href="#_2-clone-the-project-repository" aria-label="Permalink to &quot;2. Clone the Project Repository&quot;">​</a></h3><p>Obtain the project source code by cloning the repository from GitHub.</p><div class="language-bash vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang">bash</span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span style="--shiki-light:#6F42C1;--shiki-dark:#B392F0;">git</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> clone</span><span style="--shiki-light:#032F62;--shiki-dark:#9ECBFF;"> https://github.com/PisterLab/micromissiles-unity.git</span></span></code></pre></div><p>Alternatively, you can download the repository as a ZIP file and extract it to a preferred location.</p><h3 id="_3-launch-the-project-via-unity-hub" tabindex="-1">3. Launch the Project via Unity Hub <a class="header-anchor" href="#_3-launch-the-project-via-unity-hub" aria-label="Permalink to &quot;3. Launch the Project via Unity Hub&quot;">​</a></h3><p><img src="'+a+'" alt="Unity Hub"></p><ol><li><p><strong>Open Unity Hub</strong>.</p></li><li><p><strong>Add the Project to Unity Hub</strong>:</p><ul><li>Navigate to the <strong>&quot;Projects&quot;</strong> tab.</li><li>Click on the <strong>&quot;ADD&quot;</strong> button.</li><li>Browse to the folder where you cloned or extracted the project.</li><li>Select the folder containing the <code>Assets</code> folder and click on <strong>&quot;Select Folder&quot;</strong>.</li></ul></li><li><p><strong>Install the Required Unity Version</strong>:</p><ul><li>Unity Hub will detect if the project requires a Unity version that is not currently installed.</li><li>A notification or warning icon may appear next to the project name.</li><li>Click on the notification and select <strong>&quot;Install Unity <strong>[version]</strong>&quot;</strong>.</li><li>Unity Hub will download and install the required Unity version automatically.</li></ul></li><li><p><strong>Open the Project</strong>:</p><ul><li>Once the required Unity version is installed, click on the project name in Unity Hub to open it.</li></ul></li></ol><h3 id="_4-open-the-main-scene" tabindex="-1">4. Open the Main Scene <a class="header-anchor" href="#_4-open-the-main-scene" aria-label="Permalink to &quot;4. Open the Main Scene&quot;">​</a></h3><p>After the project opens in Unity:</p><ol><li><p>In the <strong>Project</strong> window (usually located at the bottom), navigate to:</p><div class="language- vp-adaptive-theme"><button title="Copy Code" class="copy"></button><span class="lang"></span><pre class="shiki shiki-themes github-light github-dark vp-code" tabindex="0"><code><span class="line"><span>Assets/Scenes/</span></span></code></pre></div></li><li><p>Find the main scene file, usually named <code>MainScene.unity</code>.</p></li><li><p>Double-click on <code>MainScene.unity</code> to open it.</p></li><li><p>The scene will load in the <strong>Scene</strong> view. You can now run the simulation by clicking the <strong>Play</strong> button at the top of the Unity Editor.</p></li></ol><h2 id="additional-resources" tabindex="-1">Additional Resources <a class="header-anchor" href="#additional-resources" aria-label="Permalink to &quot;Additional Resources&quot;">​</a></h2><ul><li><a href="./Keybinds_and_Controls.html">Keybinds and Controls</a></li><li><a href="./Simulation_Config_Guide.html">Simulation Configuration Guide</a></li></ul>',23)]))}const y=t(l,[["render",s]]);export{b as __pageData,y as default};
