import{_ as e,c as o,a2 as r,o as n}from"./chunks/framework.DYF6f1aH.js";const m=JSON.parse('{"title":"Keybinds and Controls","description":"","frontmatter":{},"headers":[],"relativePath":"Keybinds_and_Controls.md","filePath":"Keybinds_and_Controls.md"}'),a={name:"Keybinds_and_Controls.md"};function s(d,t,i,l,h,g){return n(),o("div",null,t[0]||(t[0]=[r('<h1 id="keybinds-and-controls" tabindex="-1">Keybinds and Controls <a class="header-anchor" href="#keybinds-and-controls" aria-label="Permalink to &quot;Keybinds and Controls&quot;">​</a></h1><p>This guide will help you navigate and interact with the environment using your mouse and keyboard. Below are the keybindings organized into easy-to-read tables, along with detailed descriptions to enhance your experience.</p><h2 id="table-of-contents" tabindex="-1">Table of Contents <a class="header-anchor" href="#table-of-contents" aria-label="Permalink to &quot;Table of Contents&quot;">​</a></h2><ul><li><a href="#mouse-controls">Mouse Controls</a></li><li><a href="#keyboard-controls">Keyboard Controls</a><ul><li><a href="#camera-movement">Camera Movement</a></li><li><a href="#camera-speed">Camera Speed</a></li><li><a href="#simulation-controls">Simulation Controls</a></li><li><a href="#additional-controls">Additional Controls</a></li><li><a href="#preset-views">Preset Views</a></li></ul></li></ul><h2 id="mouse-controls" tabindex="-1">Mouse Controls <a class="header-anchor" href="#mouse-controls" aria-label="Permalink to &quot;Mouse Controls&quot;">​</a></h2><p>Use your mouse to control the camera&#39;s orientation and zoom level.</p><table tabindex="0"><thead><tr><th><strong>Action</strong></th><th><strong>Keybind</strong></th><th><strong>Description</strong></th></tr></thead><tbody><tr><td><strong>Orbit Camera</strong></td><td>Left Mouse Button (Hold)</td><td>Rotate the camera around a focal point by holding the left mouse button and moving the mouse.</td></tr><tr><td><strong>Rotate Camera</strong></td><td>Right Mouse Button (Hold)</td><td>Adjust the camera&#39;s rotation by holding the right mouse button and moving the mouse.</td></tr><tr><td><strong>Zoom In/Out</strong></td><td>Mouse Scroll Wheel</td><td>Scroll the wheel up to zoom in and scroll down to zoom out.</td></tr></tbody></table><h2 id="keyboard-controls" tabindex="-1">Keyboard Controls <a class="header-anchor" href="#keyboard-controls" aria-label="Permalink to &quot;Keyboard Controls&quot;">​</a></h2><h3 id="camera-movement" tabindex="-1">Camera Movement <a class="header-anchor" href="#camera-movement" aria-label="Permalink to &quot;Camera Movement&quot;">​</a></h3><p>Navigate the camera through the simulation using the following keys:</p><table tabindex="0"><thead><tr><th><strong>Action</strong></th><th><strong>Keys</strong></th><th><strong>Description</strong></th></tr></thead><tbody><tr><td><strong>Move Forward</strong></td><td><strong>W</strong> or <strong>Up Arrow</strong></td><td>Moves the camera forward in the simulation space.</td></tr><tr><td><strong>Move Left</strong></td><td><strong>A</strong> or <strong>Left Arrow</strong></td><td>Moves the camera to the left side.</td></tr><tr><td><strong>Move Backward</strong></td><td><strong>S</strong> or <strong>Down Arrow</strong></td><td>Moves the camera backward.</td></tr><tr><td><strong>Move Right</strong></td><td><strong>D</strong> or <strong>Right Arrow</strong></td><td>Moves the camera to the right side.</td></tr><tr><td><strong>Move Upward</strong></td><td><strong>Q</strong></td><td>Raises the camera upward.</td></tr><tr><td><strong>Move Downward</strong></td><td><strong>E</strong></td><td>Lowers the camera downward.</td></tr></tbody></table><h3 id="camera-speed" tabindex="-1">Camera Speed <a class="header-anchor" href="#camera-speed" aria-label="Permalink to &quot;Camera Speed&quot;">​</a></h3><p>Adjust the speed of the camera movement to suit your preference:</p><table tabindex="0"><thead><tr><th><strong>Action</strong></th><th><strong>Keybind</strong></th><th><strong>Description</strong></th></tr></thead><tbody><tr><td><strong>Increase Speed</strong></td><td><strong>Left Shift (Hold)</strong></td><td>Hold down the Left Shift key to move the camera faster.</td></tr><tr><td><strong>Normal Speed</strong></td><td><em>Release Left Shift</em></td><td>Releases the Left Shift key to return to normal movement speed.</td></tr></tbody></table><h3 id="simulation-controls" tabindex="-1">Simulation Controls <a class="header-anchor" href="#simulation-controls" aria-label="Permalink to &quot;Simulation Controls&quot;">​</a></h3><p>Manage the simulation state with these keybinds:</p><table tabindex="0"><thead><tr><th><strong>Action</strong></th><th><strong>Keybind</strong></th><th><strong>Description</strong></th></tr></thead><tbody><tr><td><strong>Pause/Resume</strong></td><td><strong>Spacebar</strong></td><td>Toggles between pausing and resuming the simulation.</td></tr><tr><td><strong>Restart Simulation</strong></td><td><strong>R</strong></td><td>Restarts the simulation from the beginning.</td></tr><tr><td><strong>Toggle Configuration Panel</strong></td><td><strong>L</strong></td><td>Opens or closes the configuration selector panel for adjusting simulation settings.</td></tr></tbody></table><h3 id="additional-controls" tabindex="-1">Additional Controls <a class="header-anchor" href="#additional-controls" aria-label="Permalink to &quot;Additional Controls&quot;">​</a></h3><p>Enhance your interaction with the simulation using these additional keybinds:</p><table tabindex="0"><thead><tr><th><strong>Action</strong></th><th><strong>Keybind</strong></th><th><strong>Description</strong></th></tr></thead><tbody><tr><td><strong>Toggle Auto-Rotate</strong></td><td><strong>P</strong></td><td>Enables or disables the camera&#39;s auto-rotate feature.</td></tr><tr><td><strong>Quit Application</strong></td><td><strong>Esc</strong></td><td>Exits the simulation application.</td></tr></tbody></table><h3 id="preset-views" tabindex="-1">Preset Views <a class="header-anchor" href="#preset-views" aria-label="Permalink to &quot;Preset Views&quot;">​</a></h3><p>Quickly switch to predefined camera angles for different perspectives:</p><table tabindex="0"><thead><tr><th><strong>Action</strong></th><th><strong>Keybind</strong></th><th><strong>Description</strong></th></tr></thead><tbody><tr><td><strong>Preset View 1</strong></td><td><strong>1</strong></td><td>Switches to the first predefined camera view.</td></tr><tr><td><strong>Preset View 2</strong></td><td><strong>2</strong></td><td>Switches to the second predefined camera view.</td></tr><tr><td><strong>Preset View 3</strong></td><td><strong>3</strong></td><td>Switches to the third predefined camera view.</td></tr><tr><td><strong>Preset View 4</strong></td><td><strong>4</strong></td><td>Switches to the fourth predefined camera view.</td></tr><tr><td><strong>Preset View 5</strong></td><td><strong>5</strong></td><td>Switches to the fifth predefined camera view.</td></tr><tr><td><strong>Preset View 6</strong></td><td><strong>6</strong></td><td>Switches to the sixth predefined camera view.</td></tr></tbody></table><p><em>Note: The implementation for preset views may be added in future updates.</em></p><h2 id="tips-for-effective-navigation" tabindex="-1">Tips for Effective Navigation <a class="header-anchor" href="#tips-for-effective-navigation" aria-label="Permalink to &quot;Tips for Effective Navigation&quot;">​</a></h2><ul><li><strong>Combining Controls</strong>: Feel free to combine mouse and keyboard controls for a more dynamic navigation experience. For example, hold the <strong>Left Shift</strong> key while moving the camera forward with the <strong>W</strong> key for faster traversal.</li><li><strong>Pausing for Adjustments</strong>: Use the <strong>Spacebar</strong> to pause the simulation, allowing you to adjust camera angles or settings without interruption.</li><li><strong>Exploring Views</strong>: Utilize the preset views to quickly jump to different perspectives, making it easier to explore various aspects of the simulation.</li></ul><p>Happy simming!</p>',27)]))}const u=e(a,[["render",s]]);export{m as __pageData,u as default};
